petsc-3.7.7 2017-09-25
Report Typos and Errors

# TSPreStep

Runs the user-defined pre-step function.

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSPreStep(TS ts)

Collective on TS

### Input Parameters

ts -The TS context obtained from TSCreate()

### Notes

TSPreStep() is typically used within time stepping implementations, so most users would not generally call this routine themselves.

### Keywords

TS, timestep

### See Also

TSSetPreStep(), TSPreStage(), TSPostStage(), TSPostStep()

Level:developer
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages